Page MenuHomePhabricator

FRR: Set explicit OSPFv3 network type for specified interface
Closed, ResolvedPublicFEATURE REQUEST

Description

vyos@vyos# set interfaces ethernet eth0 ipv6 ospfv3
vyos@vyos# set interfaces bridge br0 ipv6 ospfv3
vyos@vyos# set interfaces wireguard wg01 ipv6 ospfv3

FRR supports setting the network:

vyos(config-if)# ipv6 ospf6 network
  broadcast       Specify OSPF6 broadcast network
  point-to-point  Specify OSPF6 point-to-point network

http://docs.frrouting.org/en/latest/ospf6d.html

Details

Difficulty level
Easy (less than an hour)
Version
1.2.1
Why the issue appeared?
Will be filled on close

Event Timeline

c-po triaged this task as Normal priority.Jun 21 2019, 5:39 PM
c-po created this task.
c-po changed Version from - to 1.2.1.
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po claimed this task.Jun 22 2019, 5:37 PM
c-po changed the task status from Open to Backport candidate.Jun 23 2019, 10:40 AM
c-po lowered the priority of this task from Normal to Low.
c-po added a project: VyOS 1.3 Equuleus.
c-po changed Difficulty level from Normal (likely a few hours) to Easy (less than an hour).
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
c-po closed this task as Resolved.Jun 23 2019, 5:51 PM
c-po moved this task from Need Triage to VyOS 1.2.2 on the VyOS 1.2 Crux board.
c-po edited projects, added VyOS 1.2 Crux (VyOS 1.2.2); removed VyOS 1.2 Crux.
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.2) board.